Version 24.08.0
    * Add site permissions
    * Enable WebInspector with disabled JavaScript (BUG: 462887)
    * Random fixes

Version 24.05.0
    * Translation updates only

Version 24.02.0
    * Port from Qt5 to Qt6

Version 23.08.5
    * SpeedDial: Fix tooltip text on the Realod button
    * History: Store addresses with custom allowed schemes (BUG: 406375)
    * TabBar: Fix the state of tab bar after window restore (BUG: 478823)
    * Enable localStorage for private browsing (BUG: 393677, by Martin Rodriguez Reboredo)

Version 23.08.4
    * Fix crash when starting new session after crash (BUG: 408701)
    * Fix Startpage search engine default configuration (BUG: 419530)
    * CLI option "--help-all" now works (BUG: 477492)

Version 23.08.0
    * A bit faster restoring of session with a lot of tabs
    * Add support for custom URI schemes (BUG: 434099)
    * Add CMake option "BUILD_PYTHON_SUPPORT" to enable/disable Python support
    * Add zoom indicator to the addressbar (BUG: 399001)
    * Add an option to expand addresbBar suggestion popup to the window width
    * Implement a GUI for managing ignored SSL hosts (by Javier Llorente)
    * Add KDE branding bookmarks and speeddial entries (By Javier Llorente)
    * Implement download integration with Plasma (By Javier Llorente)

Version 23.04.0
    * Look for spellchecking dictionaries at location specified by QTWEBENGINE_DICTIONARIES_PATH environment variable
    * Show QtWebEngine version on Falkon Config page
    * Implement prefers-color-scheme (dark mode) for internal pages
    * Add option to enable GPU acceleration (by Hao Chi Kiang)
    * PyFalkon: addBookmark - make C++ own parameters (fixes potential crash)
    * KWallet: Store passwords in a map format
    * History: Don't delete all items under dates when filtering
    * AdBlock: Workaround for "Blocked content" page
    * AddressBar: Search with default search engine by default
    * Fix crash when adding new folder to the bookmark toolbar

Version 22.08.2
    * Fix: Typing text in the search bar sends data although suggestions are disabled (by Juraj Oravec) (BUG: 439268)
    * Update Firefox version in user agent manager (BUG: 415467)

Version 22.08.0
    * SiteInfo window allows multiselection of items for easier copying (by Juraj Oravec) (BUG: 451284)
    * Show the actual QtWebEngine version in about dialog (by Antonio Rojas)
    * Various code improvements (mostly by Laurent Montel)

Version 22.04.0
    * Various improvements for AdBlock (by Allan Sandfeld Jensen)
    * Enable WebRTC screen capturer in WebEngine / Screen sharing on Wayland (by Antonio Rojas) (BUG: 450839)

--------------------------------------------------------------------------------

Version 3.2.0
    * Add support for Screen Capture (Qt 5.13.2+)
    * Option for internal PDFium-based viewer (Qt 5.13+)
    * CookieManager: Add support for selecting more than one cookie at once
    * Correct the sorting for cookies white- and black- lists
    * Speeddial: decode initialScript data as Utf8
    * Set current tab as parent for duplicated tab
    * add support for detaching tabs via context menu (BUG 443947, !22 from Fran Rogers)
    * BookmarksManager: Don't allow to create bookmark without parent
    * Remove the padding of the bookmark bar
    * Added context menu item to bookmarks toolbar for creating folder
    * Preferences: Add links to KDE store for installing themes/extensions
    * OcsSupport: Add initial support for downloading themes/extensions
    * Add filter to preferences extensions page
    * SideBarManager: Clear active sidebar upon close
    * Added focus for searchbar in history sidebar & bookmark sidebar
    * SearchToolBar: Remove warning message that no results were found
    * SearchBar - Show number of matches found on page search
    * added pause/resume for downloads
    * Prompt user when KWallet is disabled
    * KDEFrameworksIntegration: Create Purpose menu in init
    * GreaseMonkey: Fix detecting *.user.js urls

    * Added QLoggingCategory to Falkon
    * Handle web push notifications with Falkon notification system
    * Fix name and set desktop entry for notifications
    * NetworkManager: Fix QtWebEngine warning about registering schemes
    * Don't use subfolders for QML/Python extensions
    * ThemeManager: Implement removing locally installed themes
    * Plugins: Implement removing locally installed plugins
    * Plugins: Use embedded JSON metadata for shared library plugins
    * RunAction plugin: set alternatingRowColors for listWidget
    * VerticalTabs: Accept click event on tree collapse
    * VerticalTabs: Draw unloaded tabs with "Disabled" color palette
    * VerticalTabs: Add child tab with middle click on "New Tab" button
    * VerticalTabs: Corectly recognize tree collapse / expand button
    * VerticalTabs: Also override Ctrl+PgUp/PgDown shortcuts

Version 3.1.0
    * released 19 March 2019
    * add support for writing plugins in QML
    * add MiddleClickLoader Python plugin
    * add page sharing to KDE Frameworks Integration plugin
    * add basic support for client certificates (QtWebEngine >= 5.12)
    * add support for registering custom protocol handlers (QtWebEngine >= 5.12)
    * change search bar appearance to match other KDE apps
    * use DBus instead of lockfile/socket to check and communicate with other instances (Linux)
    * whitelisted cookies are no longer deleted when deleting all cookies
    * Python plugin support is now stable
    * close entire tree after middle click on collapsed tabs in VerticalTabs plugin
    * fix some compatibility issues with QtWebEngine up to 5.12
    * fix some possible crashes in AdBlock
    * fix builds with standalone QtWebEngine releases

Version 3.0.1
    * released 8 May 2018
    * added profile migration from QupZilla
    * fix incorrectly completing form data on some sites (BUG 391327)
    * fix showing incorrect state of back and forward buttons (BUG 391331)
    * fix loading urls containing %20 from location bar (BUG 392445)
    * fix save page action for downloading text files (BUG 391300)
    * fix download manager trying to closing not restored tabs (BUG 392565)
    * fix updating location bar site icon after using paste and go action (BUG 392747)
    * fix various issues with QtWebEngine 5.11 (BUG 392885, 393398)
    * fix speed dial sometimes loading with no pages (BUG 391875)
    * fix leaving html fullscreen after closing tab (BUG 393797)
    * fix saving speed dial settings when there are no configured pages
    * fix restoring nested crashed sessions
    * fix setting minimum height of bookmarks toolbar
    * VerticalTabs: fix preserving expanded state of times inside collapsed parent (BUG 393567)
    * VerticalTabs: don't force open sidebar when opening new window (BUG 393629)

Version 3.0.0
    * released 27 February 2018
    * first Falkon release
    * added experimental support for Python extensions

--------------------------------------------------------------------------------

Version 2.1.2
    * released 15 March 2017
    * updated translations
    * disable native scrollbars by default due to performance issues
    * fix middle click on links sometimes not opening new tab
    * fix scrolling to anchors when opening tab in background
    * fix possible crash in AdBlock when editing subscribptions
    * fix clicking on go icon in locationbar
    * fix possible crash with native scrollbars

Version 2.1.1
    * released 13 February 2017
    * updated translations
    * fix loading previews in SpeedDial
    * fix showing duplicated languages in spellcheck settings
    * fix sometimes pages being scrolled by itself when using native scrollbars
    * fix disabling GreaseMonkey scripts
    * Windows: fix highlight text color in item views

Version 2.1.0
    * released 4 February 2017
    * bring back spellcheck
    * bring back support for printing
    * bring back save page action + support multiple formats
    * bring back option to delete cookies on close
    * bring back per-domain user agent settings
    * show audio playing indicator in tab with possibility to mute
    * show background activity indicator in pinned tabs
    * add option to show navigation bar when opening new tab in fullscreen
    * add option to show bookmarks toolbar when typing in location bar
    * add option to use native scrollbars
    * add option to delete cache on close
    * each tab has now its own search toolbar
    * lot of HighDPI fixes
    * fix setting maximum size of cache
    * fix scrolling with high resolution mouse/touchpad
    * fix rules for disabling blocking on pages in AdBlock
    * fix deleting cookies
    * fix slow search in icons database
    * fix restoring zoom level of tabs
    * fix crash when opening web inspector
    * fix crash of the application when render process crashes
    * fix tabbar being invisible sometimes after leaving fullscreen
    * fix sometimes not showing list of windows and tabs in recovery page
    * Windows: show download progress in taskbar

Version 2.0.2
    * released 24 October 2016
    * update default user-agent strings
    * add short command line variant for all options
    * show navigation bar when adding new tab in fullscreen
    * supermenu button is no longer hidden in fullscreen
    * fix overwriting speed dial title when loading fails
    * fix positions of speed dials in rtl
    * fix context menu actions when site specifies base href
    * fix issue with tabbar sometimes being invisible when leaving fullscreen
    * Windows: fix background radient in browsing library

Version 2.0.1
    * released 8 June 2016
    * don't force enabling HighDPI scaling by default
    * fix crash when unloading AutoScroll plugin
    * fix showing Inspect Element action when web inspector is disabled
    * fix showing context menu when page zoom is not 100%
    * fix destroying WebPage when opened as popup
    * fix setting default font families
    * fix saving last download path in download manager
    * fix using external download manager
    * fix cancelling http and proxy authentication dialogs

Version 2.0.0
    * released 30 March 2016
    * switch to QtWebEngine - much better compatibility and stability
    * some features from older versions are missing (will come back later)

Version 1.8.9
    * released 11 November 2015
    * new QupZilla logo
    * add button to open spellcheck settings in preferences
    * remove gradient in toolbar of browsing library
    * fix showing authors page in about dialog
    * fix showing current tab in tabbar after restoring session
    * fix searching for invalid one-word url strings from locationbar
    * fix switch to tab from locationbar completer when it is the only tab in window

Version 1.8.8
    * released 21 October 2015
    * added interface for extensions to show action in Tools menu
    * add option to use TabManager as main tabbar replacement
    * fix build with Qt 5.5.1
    * fix crash when unloading plugin with visible sidebar
    * fix possible crash when accessing last active window
    * fix sometimes incorrectly loading background non-restored tab
    * fix showing speed dials in bookmarks icon
    * fix showing messages in statusbar in RTL mode
    * fix crash when application style is externally changed
    * fix labels color in access keys navigation with dark style
    * fix position of autoscroll indicator with site notification visible
    * Windows: fix setting as default browser
    * Windows: better toolbar background for Windows 10

Version 1.8.7
    * released 8 October 2015
    * save pinned tabs per-window when set to restore session
    * Shift+Left click on links now opens link in new window
    * show web inspector action now toggles inspector
    * add button to create new userscript in GreaseMonkey
    * add "Anti-Adblock Killer" AdBlock subscription
    * add Ctrl+G and Ctrl+Shift+G shortcuts in search toolbar
    * fix enabling select all and find actions in menu
    * fix searching for strings with special whitespaces from locationbar
    * fix build with KF5 KWallet
    * fix crash when blocking popup window with AdBlock
    * fix icon animation when blocking popup window with AdBlock
    * fix build with Qt 5.5 and gcc 4.9
    * fix incorrectly accepting some cookies
    * fix creating new config directory
    * fix saving settings without changing pages in SpeedDial
    * fix center dials option in SpeedDial
    * fix not escaping characters for (file, ftp) dir listings
    * fix not showing restore page when opening new url from cli
    * fix adding search engine from form on page with Qt 5
    * fix saving homepage/new tab urls from preferences
    * Linux: use run-time detection of X11 platform

Version 1.8.6
    * released 26 January 2015
    * added TabManager and FlashCookieManager plugins
    * added CTRL+L shortcut to clear download list in download manager
    * allow closing Download Manager and Browsing Library with Ctrl+W
    * revert option to disable SSLv3, it is now correctly handled by Qt
    * fix issue with tabs with empty url were removed from session
    * fix zoom shortcuts with +/-/0 on numeric block
    * fix hiding iframes that have completely blocked contents in AdBlock
    * fix showing navigation bar when typing into locationbar in fullscreen
    * fix visual issues with FTP listing with RTL layouts
    * fix removing profiles from preferences
    * fix crash when moving bookmarks on FreeBSD

Version 1.8.5
    * released 12 December 2014
    * save geometry of Preferences window
    * enable HighDPI pixmaps with Qt 5
    * add option to completely disable SSLv3
    * fix url for China AdBlock list
    * fix issue with opening modal dialogs being hidden by active window
    * fix loading dictionaries in spellcheck
    * fix behavior of delete key in locationbar
    * MouseGestures: add new gesture for duplication of current tab
    * Linux: fix go-icon not available in themes other than oxygen

Version 1.8.4
    * released 3 November 2014
    * added possibility to build against system QtFtp module
    * CSS exceptions in AdBlock now works for rules from different subscrictions
    * fixed: correctly saving some settings in preferences
    * fixed: preference action on Mac
    * fixed: loading plugins on Windows

Version 1.8.3
    * released 19 October 2014
    * fixed: crash when passing messages to running instance
    * fixed: keyboard text navigation in some custom html code editors
    * fixed: string for filter third party cookies + changed default to allow
    * fixed: coloring CSS exception rules in AdBlock subscription tree
    * fixed: auto-loading saved plugins on startup in portable mode
    * fixed: text edit shortcuts not working with non-latin keyboard layout
    * fixed: building on Linux with Qt 4.7
    * fixed: crash when unloading AutoScroll plugin on Windows

Version 1.8.2
    * released 9 October 2014
    * updated translations
    * use bigger default font sizes
    * fixed: profile version check when updating from 1.8.0
    * fixed: crash on startup on Mac
    * fixed: crash when opening menu on Mac when there is no browser window

Version 1.8.1
    * released 5 October 2014
    * reverted setting DNT header by default
    * fixed: autofill not working for some frames
    * fixed: saving speed dial in case of crash
    * fixed: open file in download option on windows
    * fixed: Internet Explorer bookmarks importer
    * fixed: building on Mac

Version 1.8.0
    * released 25 September 2014
    * added support for window.beforeunload event
    * added support for external.AddSearchProvider js function
    * added undo/redo actions to context menu in forms
    * added new theme Breathe
    * added new commandline option to toggle fullscreen
    * added new commandline option to enable portable mode
    * added new context menu action to open links in private window
    * added new smooth and fully transparent loading animation
    * added option to disable weak ciphers in SSL Manager
    * added support for shadow builds with Qt Creator
    * completely rewritten bookmarks (including multi-level folders support)
    * location bar completer is now running in separate thread
    * menus are not closed when opening links with middle mouse button
    * ctrl+w shortcut no longer closes pinned tab
    * pinned tabs are now restored everytime, not only when restoring session
    * enable sending DoNotTrack header by default
    * full support for search engines that use POST method
    * Oxygen icon theme is now default fallback icon theme
    * Qt translations are now loaded from system directories where available
    * correctly load one-word hosts (eg. localhost or anything other in /etc/hosts)
    * search engines manager can now be opened from preferences
    * various tweaks in SpeedDial theme including lower minimal size for dials
    * various tweaks in Linux theme including support for big fonts in location bar
    * various fixes for Qt5 including bugs in tab bar
    * various fixes for RTL languages including rendering of location bar completer
    * AdBlock: support for exception css rules
    * AdBlock: improved performance of loading rules
    * MouseGestures: option to set mouse button for gestures
    * MouseGestures: support for rocker navigation to go back/forward in history
    * GreaseMonkey: correctly load scripts in frames
    * GreaseMonkey: fix rare issue that userscripts won't load on some sites
    * KWalletPasswords: support for KF5 KWallet
    * windows: load font.ttf (from current dir, if exists) and set it as default app font

Version 1.6.6
    * released 12 May 2014
    * added new AutoScroll plugin
    * added new F12 shortcut for Web Inspector
    * fixed: correctly switching between tabbars when closing tabs
    * fixed: draw tabbar base even when there are no tabs in main tabbar
    * fixed: position of add tab button when there are no tabs in main tabbar
    * mac: define application category in Info.plist
    * windows: load font.ttf (if exists) and use it as app font
    * linux: fixed setting correct paths for portable mode

Version 1.6.5
    * released 18 April 2014
    * fixed build issues on Mac
    * fixed error handling when downloading CA certificates bundle
    * fixed error handling when downloading AdBlock subscriptions
    * fixed loading KWalletPasswords plugin

Version 1.6.4
    * released 14 April 2014
    * enabled sending DoNotTrack header by default
    * updated ca-bundle certificates
    * use same session files with both Qt4 and Qt5
    * fixed: Click2Flash playing videos on YouTube with Qt5
    * fixed: hiding close button on current tab when dragging it with Qt5
    * fixed: double clicking on scroll buttons in tabbar with Qt5
    * fixed: text visibility in speeddial inputs with dark themes
    * fixed: getting tab index with rtl layout
    * fixed: ctrl+up shortcut in websearchbar correctly select first item
    * fixed: correctly loading translations of all plugins

Version 1.6.3
    * released 14 February 2014
    * addded new Spanish (Mexico) translation
    * option to change list of SslV3 forced sites in settings.ini
    * show error message when downloading AdBlock subscriptions fails
    * fixed building on FreeBSD, OS/2

Version 1.6.2
    * released 13 February 2014
    * workaround for servers not understanding TLSv1 handshake
    * tabs on top are now enabled by default
    * restore session after launch is now enabled by default
    * don't load tabs until selected is now enabled by default
    * tab previews are now disabled by default
    * reworked scrolling with wheel in tabbar
    * Ctrl+W shortcut no longer closes a pinned tab
    * fixed: setting DuckDuckGo as default search provider
    * fixed: issues detected by scan.coverity.com
    * fixed: showing more default search engines with same name
    * fixed: incorrect exception rules handling in AdBlock
    * fixed: flickering when removing tabs from tabbar
    * fixed: flickering when (un)pinning tabs
    * fixed: flickering when opening new tabs with sites that loads instantly
    * fixed: drawing correct mouseouver state for tabs
    * fixed: drawing tabbar correctly with Oxygen style
    * fixed: drawing list items with Qt5 Fusion style
    * fixed: tooltips disappearing on (un)pinning tabs
    * fixed: incorrectly changing current index when closing tabs in inactive tabbar
    * fixed: incorrectly showing url in locationbar when load request was not accepted
    * fixed: always add slash '/' between path and filename when downloading files
    * fixed: cursor jumping at the start in locationbar
    * mac: fixed toggle fullscreen action in menu
    * windows: save application data in %LOCALAPPDATA%

Version 1.6.1
    * released 26 January 2014
    * added option to disable inline completion in locationbar
    * added option to always switch tabs with mouse wheel
    * added option to toggle fullscreen with commandline option
    * added undo/redo context menu actions in editable web elements
    * speedup loading rules from subscriptions in AdBlock dialog
    * fixed speed dial with disabled javascript
    * fixed showing tooltips on tabs when tab previews are disabled
    * fixed search shortcuts longer than one character in locationbar
    * fixed building issues on OS X and OS/2
    * fixed disabling tab previews from preferences
    * fixed building new Gnome/KDE keyring passwords
    * fixed building StatusBarIcons plugin on Windows
    * win: add new jumplist option to open private window

Version 1.6.0
    * released 1 January 2014
    * added support for Proxy Auto-Config (PAC)
    * added option to open another private window from private window
    * added option to detach tabs from window
    * added delete action in edit context menu on page
    * added possibility to remove EasyList from AdBlock
    * added inline domain completion to urlbar
    * added KWallet password backend plugin
    * added Gnome-Keyring password backend plugin
    * added StatusBar Icons plugin that adds extra icons to statusbar
    * added support for POST method in search engines manager
    * added context menu for translating webpage
    * added possibility to export bookmarks to html file
    * great performance improvement for matching basic rules in AdBlock
    * themes can now be loaded from profile directories
    * pagescreen can now save output into number of formats, including PDF
    * proxy exceptions now supports wildcards (*, ?)
    * cancel upload when trying to upload non-readable files
    * select previous / next engines with ctrl+up/down in websearchbar
    * ask user first before closing all but the current tab from tabbar
    * last 2 sessions are now backuped in profile directory
    * always show tab previews after a small delay
    * GreaseMonkey: added icon in statusbar
    * GreaseMonkey: added support for GM_Settings
    * GreaseMonkey: fixed userscripts when first loading plugin
    * GreaseMonkey: run userscripts in all frames on page
    * oxygen: set rounded corners for tooltips
    * oxygen: workaround for transparent background of tooltips
    * X11: Set correct WM_CLASS property to windows
    * fixed: size of preferences dialog on low-res screens
    * fixed: loading plugins with relative paths in portable build
    * fixed: displaying a lot of RSS feeds in RSS widget in locationbar
    * fixed: enabling disabled rules in AdBlock now works everytime
    * fixed: parsing OpenSearch files with XML declaration
    * fixed: don't show urls multiple times in url completer
    * fixed: drag & drop moving folders under bookmarks toolbar
    * fixed: files with relative paths can now be opened from command line
    * fixed: issues with overflowing tabs, it is now possible scroll through all tabs

Version 1.4.4
    * released 1 September 2013
    * added ctrl/shift + insert shortcuts to copy/paste in webview
    * don't try to download empty page
    * reverted forcing SSLv3 protocol for secured connections
    * duckduckgo.com is now default search engine
    * fixed: correct height of icons widget in SiteInfo
    * fixed: hide tabbar with only one tab option now works in fullscreen
    * fixed: crash with Oxygen theme when closing windows with tabs on top
    * fixed: saving IgnoreAllSSLWarnings option from SSLManager
    * fixed: crash on saving settings with unavailable theme
    * fixed: Accept-Language header now works with all sites
    * fixed: using external download manager with use defined location setting
    * GreaseMonkey: fixed buttons in script list with RTL layout
    * GreaseMonkey: run userscripts in all frames on page
    * X11: Set correct WM_CLASS property to windows

Version 1.4.3
    * released 9 May 2013
    * fixed: crash upon closing private browsing window
    * fixed: element hiding rules not working when more than 5000 in subscription
    * fixed: saving some tab icons in session file
    * fixed: make Acid3 test pass even with AdBlock enabled
    * mac: attempt to fix slow scrolling on trackpad

Version 1.4.2
    * released 22 April 2013
    * don't limit speed of loading animation in tabbar
    * fixed loading HTML5 videos on YouTube
    * fixed saving cursive font in fonts preferences
    * fixed translating edit actions in page context menu
    * fixed connecting to older secured servers by forcing older SSL protocol
    * fixed installing bash completions to correct folder
    * fixed deleting lockfile upon closing application
    * fixed occasional crash when extracting form data from page
    * fixed crash in akn plugin while closing tab with labels shown
    * fixed crash on close when tabs on top is enabled with oxygen theme
    * GreaseMonkey: fixed laoding scripts with last line commented
    * mac: correctly refreshing state of menus
    * mac: added dock menu with basic actions

Version 1.4.1
    * released 15 March 2013
    * fixed websearchbar not respecting select all on click settings
    * fixed certificates from custom path disappearing on saving preferences
    * fixed showing empty back/forward history menu upon restoring session
    * fixed duplicating current url in history when restoring session
    * fixed instantly showing popup when clicking on back/forward button

Version 1.4.0
    * released 11 March 2013
    * highlighting host in address in locationbar
    * can now be compiled using Qt 5
    * QtWebKit 2.3 new features - caret browsing, animated scrolling
    * added support for FTP listing files and downloading
    * added support for saving passwords of multiple users per site
    * added support for showing tabs on top
    * added bash autocompletion file
    * added more actions to super menu, also show menu inside window
    * possibility to select text on page with Shift+Arrow keys
    * asking user whether to allow site to use notifications/geolocation
    * option to set JavaScript privacy permissions
    * option to specify default search engine used in locationbar
    * option to disable search suggestions in websearchbar
    * option to search only whole words in source viewer
    * option to hide reload/stop buttons in navigationbar
    * option to disable alt/ctrl + numbers shortcuts
    * option to switch to tab from locationbar popup completer
    * option to set where to store network cache
    * use .qupzilla/tmp instead of /tmp for temporary data
    * saving passwords should now work for much more sites
    * don't steal Ctrl+B/U/I shortcuts from page
    * disabled by default opacity effect on tab previews - see BUILDING.md
    * improved showing navigation toolbar in fullscreen
    * moved config directory into ~/.config/qupzilla
    * certificates bundle is now only used on windows
    * reduced memory usage of AdBlock (saves up to 30MB with just EasyList)
    * greatly improved performance when matching regexp rules in AdBlock
    * GreaseMonkey: reload script if source file changed on disk
    * GreaseMonkey: fixed don't loading invalid scripts
    * fixed opening browser with url with ampersand (%26) as command line argument
    * fixed scrolling to anchor in background tabs
    * fixed parsing UTF-8 filenames in Content-Disposition header
    * fixed crash with context menu in websearchbar and locationbar
    * fixed loading NYTimes skimmer page
    * fixed cookie domain handling according to RFC 6265
    * fixed qvalue format in Accept-Language HTTP header
    * fixed sorting files case insensitively in file scheme handler
    * fixed possible crash in saving page screen of a really long page
    * fixed showing window in fullscreen with XFCE
    * fixed AdBlock blocking netscape plugin even without Click2Flash
    * X11: fixed Ctrl+Q shortcut for DEs other than KDE and Gnome
    * windows: fixed color of found text when searching on page
    * windows: fixed navigating to file links and x: labels in file: scheme handler
    * windows: fixed downloading utf-8 encoded adblock subscriptions
    * windows: improved installer allows registering as default web browser
    * windows: check and set as default browser from preferences
    * mac: fixed not working global menu after closing browser window

Version 1.3.5
    * released 16 September 2012
    * new Persian translation
    * option to remove web search bar
    * warning user when removing page from speed dial
    * option to align pages to center in speed dial
    * added shortcut for Clear private data
    * new options in AdBlock menu to disable it for domain and for single page
    * added option to disable search suggestions in search bar
    * added option to choose what to suggest in address bar
    * Save x as ... actions will always show file dialog
    * possibility to choose to use external download manager on every download
    * remember last section in preferences
    * much more tabs now fits into tabbar without overflowing into tab buttons
    * smarter address bar completer will show better search results
    * support for bookmarks manager and sidebar drag&drop managing bookmarks
    * new User Agent manager lets you set User Agent per site
    * new restore session page lets you choose which tabs you want to restore
    * new scheme handler for file protocol allows browsing through directories
    * new option to show loading progress in address bar
    * new option to hide close button on tabs
    * new option to start new instance with --no-remote option
    * X11: restore windows on correct virtual desktops
    * MouseGestures: added 2 new gestures for switching tabs
    * fixed visibility of navigation bar in fullscreen
    * fixed bad position of add tab button when there is a lot of tabs
    * fixed gui with RTL languages
    * fixed issue with infinite opening mailto links
    * fixed issue with showing warning after creating new profile
    * fixed clearing highlight when search text not found
    * fixed closing bookmarks menu when menu toolbar is hidden
    * fixed occasional crashes when closing tab while it is still loading

Version 1.3.1
    * released 16 July 2012
    * Ctrl+= shortcut for + zoom in webview
    * Ctrl+Enter shortcut in PIM plugin now also works with enter on numpad
    * don't append QupZilla string to changed user agent
    * fixed ' and " chars in speed dial's input fields
    * fixed zooming with Ctrl+Wheel for some users
    * fixed issues with cookies filtering
    * fixed $subdocument matching in AdBlock
    * fixed $third-party in AdBlock rules when Referer header is empty
    * fixed issue with notification settings always reverting to osd notifications
    * fixed downloading UTF-8 subscriptions in AdBlock (eg. Ru Adlist)

Version 1.3.0
    * released 11 July 2012
    * new Ukrainian translation
    * new plugins: GreaseMonkey and PIM (Personal Information Manager)
    * new command line option to open new window with url
    * can now open .xhtml files from open file dialog
    * added animated tab previews with option to turn animations off
    * possibility to change icon of bookmarks
    * ssl manager now can import own certificate
    * clear recent history now remembers last checked options
    * new urlbar completion widget can now show also entries from bookmarks
    * little changes in speed dial's preferences
    * support for 3rd party subscriptions in AdBlock
    * improved performance of AdBlock rules matching
    * possibility to add subscriptions with loading abp: links
    * private browsing is now opened in new window and new process
    * improved AdBlock dialog distinguishes rule types with colors
    * popup windows now have loading animation in urlbar
    * new gif for loading animation (spinner)
    * possibility to add RSS feed into external reader
    * option to specify preferred behaviour when opening new tab
    * inverting preferred new tab behaviour with shift modifier (eg. shift+middle click on link)
    * better support for Content-Disposition header (downloads)
    * Linux: middle clicking on add tab button will open new tab with global mouse selection's contents
    * Linux: generating backtrace and saving it into file upon application crash
    * Windows: fixed theme loading delay (showing ugly interface for a second when starting app)
    * fixed all issues with saving passwords (i hope so)
    * fixed saving passwords on some sites (parsing WebKit's data format)
    * fixed "go to web address" action when newlines were in string
    * fixed excessive ssl warnings when rejecting untrusted certificate
    * fixed dragging the whole text from some labels
    * fixed handling special characters when searching with shortcuts in urlbar
    * fixed "open external protocol" dialog overflowing out of desktop if url is too long
    * fixed "hide when there is only one tab" option in preferences
    * fixed "close other tabs" action in tabbar context menu
    * fixed rss popup in urlbar overflowing out of desktop if feed's title is too long
    * fixed animations occasionally stop working without any reason

Version 1.2.0
    * released 5 April 2012
    * Brazilian Portuguese, Indonesian, Georgian, Japanese and Romanian translation
    * added information about configuration page qupzilla:config
    * added option to show only icons in bookmarks toolbar
    * added alt+d shortcut for focusing urlbar
    * added possibility to import bookmarks folder structure on html import
    * added option to create search engines from input element on page
    * added "don't load tabs until selected" option when restoring session
    * added option to separate http and https proxy configuration
    * added new page into site info: databases
    * added command line option to open url in current tab
    * support for utf-8 filenames in Content-Disposition header (downloads)
    * support for whitelisting/blacklisting cookies
    * improved source viewer, it now shows line numbers
    * improved html import - support for importing folders
    * improved performance of bookmarks import and deleting
    * sending referer header when opening new tab from webview
    * user agent workaround for google sites
    * fixed history of frames not saving
    * fixed loading unicode urls from command line
    * fixed removing local certificates
    * fixed dark color of text in urlbar when using dark theme
    * fixed garbled rendering of desktop notifications
    * fixed text in urlbar on https sites when using dark theme
    * fixed not saving cookies on crash
    * fixed option not to send Referer header to servers
    * fixed showing bad total + downloaded size when starting download
    * fixed toggling WebInspector

Version 1.1.8
    * released 14 February 2012
    * added Swedish, Serbian and Traditional Chinese translation
    * added option to set Minimum font size in web pages
    * added option to edit bookmark from bookmarks toolbar context menu
    * added option to enable/disable HTML5 local storage (and to clear it)
    * added option not to send Referer header to servers
    * added option to use external download manager
    * added option to add/remove page in speed dial from bookmark star icon
    * added option to import/export passwords into xml file
    * added option to change user agent
    * added global shortcuts for loading sites in speed dial (Ctrl+1,2,...9)
    * added global shortcuts for switch to tabs (Alt+1,2,3...9)
    * added possibility to create new rss feeds in rss manager
    * added alt+left/right click shortcuts to navigate in page history
    * restoring / saving pinned tabs only on first window
    * Paste & Go option in urlbar and websearchbar
    * support for JavaScript Popup windows
    * improved History menu -> added Most visited menu here
    * don't saving icons in private mode
    * improved and refactored context menu on page
    * little improvements in speed dial
    * using global QSettings object, should save some writed to disk
    * remember last folder when saving new bookmarks
    * disabling adblock on local schemes
    * showing size of file going to be downloaded
    * improved browser responsibility when loading a lot of cookies/history
    * possibility to change background in Speed Dial
    * possibility to change number of dials in row in Speed Dial
    * possibility to change maximum number of dials in a row in Speed Dial
    * using QImages to store icons in database now - older icons won't work!
    * fixed showing file type when download file
    * fixed saving usernames with spaces in password manager
    * fixed loading of some rss feeds
    * fixed loading incomplete urls in speed dial
    * fixed all crashes/issues with web inspector
    * fixed memory leak when canceling download
    * fixed open new tab after active option
    * fixed saving of sidebar width
    * fixed occasional fails to restore session
    * fixed occasional crash when closing tabs/windows
    * fixed wrong tab focus order
    * fixed loss of speed dial settings
    * fixed cancelled downloads now no longer leak memory
    * fixed showing of "Are you sure to close x tabs?" question
    * fixed searching strings with special characters
    * fixed sending report in Report Bug page

Version 1.1.5
    * released 7 January 2012
    * added Portuguese, French, Greek translation
    * support for loading long locale named qt translations
    * support for printing page through javascript window.print()
    * context menu in webview now handles also frames
    * using own CA certificates database instead of system one (+ automatic updates)
    * improved commandline options, possibility to use multiple options at once
    * hiding new tab while moving tabs
    * using bigger icons in Linux default theme
    * opens all bookmarks from folder on middle click
    * Ctrl+Enter in urlbar now appends .com & start loading
    * opening links in new tab now opens new tab next to current tab
    * drag&drop site icon on bookmarks toolbar creates bookmark
    * improved performance of deleting history entries -> moved into separate thread
    * fixed loading of local files from menu file -> open file...
    * fixed showing rss feeds without title
    * fixed searching on page when highlight is enabled + added shortcuts
    * fixed Click2Flash plugin and enables it by default again
    * fixed crash when closing WebInspector with QtWebKit 2.2
    * fixed crash in Click2Flash plugin when element is not found
    * fixed "hide tabs when there is only one tab" option
    * fixed cookies loss when closing browser with private browsing
    * fixed overflowing bookmarks toolbar when there is a lot of bookmarks
    * fixed going to history items in history back/forward menu in new tab
    * fixed showing custom rules in AdBlock
    * fixed problem with downloading with right click -> download link
    * fixed suggestions for google and youtube

Version 1.1.0
    * released 14 December 2011
    * option to turn on XSS Auditing
    * option to select all text in urlbar when clicking on it
    * added Speed Dial
    * possibility to select + copy text on a lot of labels
    * improved source code viewer performance + highlighting
    * importing bookmarks from html files
    * restoring closed tabs now remember position
    * multiple sizes icon in linux
    * fixed saving certificate exception
    * fixed overriding cursor by some flash objects
    * fixed problem with loading urls with % characters from history
    * fixed favicon of qupzilla internal pages in ubuntu
    * fixed loading of user defined stylesheet
    * fixed saving of user defined fonts

Version 1.0.0
    * released 9 November 2011
    * possibility to place folders on bookmarks toolbar
    * password manager has now all passwords hidden by default
    * added a lot of keyboard shortcuts
    * fixed right click on back/next buttons shows menu
    * fixed fetching icons in bookmarks importing
    * fixed duplicated entries in back/next menus
    * fixed problem with adding addition tab when restoring more windows
    * fixed error handling in download manager
    * fixed various crashes
    * fixed updating AdBlock EasyList
    * fixed html highlighter

Version 1.0.0-rc1
    * possibility to delete click2flash object on page
    * improved SSL Manager (you can add paths to look for CA Certs)
    * Search Engines Manager + OpenSearch support with suggestions
    * add tab button is now shown next to last tab
    * you can open bookmark / history entry in new tab with middle button
    * fixed problem with bookmarks toolbar
    * fixed loading animation ending with page still loading
    * fixed occasional problem with updating address when going next/back in history
    * fixed crash when clearing history

Version 1.0.0-beta4
    * from this version, QupZilla is now fully skinnable
    * introduced 4 basic themes including Chrome, Windows and Mac theme
    * private browsing is now indicated in window title
    * added qupzilla: scheme - qupzilla:about, qupzilla:reportbug and new start page qupzilla:start
    * saving and restoring position and size of window
    * added "page screenshot" feature
    * fixed occasional problem with searching on Google from location bar
    * fixed crash in download manager

Version 1.0.0-beta3
    * whole urlbar has been rewritten - now every tab has own separate urlbar
    * click2flash now offers information about flash object
    * when downloading file with the name it already exists, it will be automatically renamed
    * history in menubar is refreshed only when needed, not with every click
    * added new library containing bookmarks, history and rss manager in single window
    * rewritten all animations, they are now smoother
    * fixed performance issue with web icons

Version 1.0.0-beta2
    * fixed issue with downloading secured content on Windows
    * image previews in site information dialog now properly handle relative links
    * reload with bypass cache feature (Shift+F5)
    * if download content is offered in empty tab with empty history, thus will be closed
    * hovered link url is shown even when statusbar is hidden
    * option to specify own CSS Style loaded with every page
    * fixed and enhanced command line interface
    * private browsing now uses temporary cookie jar
    * javascript prompts/alerts/confirms are now non-blocking
    * JumpList for Windows 7 integration

Version 1.0.0-beta1
    * duplicate panel feature added
    * added sidebars for history and bookmarks
    * close other tabs now keep pinned tabs open
    * option to hide 'add new tab' button
    * fixed some bugs in downloadmanager (with W7API also)
    * rewritten icon database, no longer forgetting icons
    * navigation in fullscreen is automatically showing/hiding
    * added support for notifications (OSD + native desktop on Linux)
    * added support for configuring Proxy (system configuration or your own)

Version 0.9.9
    * pinning tab feature added
    * basic AdBlock support
    * fixed some issues with restoring sessions
    * new Site Informations dialog including preview of pictures at the page
    * download manager now offers option to just open file (downloaded into temp folder)
    * added profiles support
    * edited look of some widgets for Windows Vista/7

Version 0.9.8
    * added character encoding option in View menu
    * added option to change default fonts in Preferences
    * source viewer has now more features including HTML highlighter
    * option to specify how long history you want to delete from Clear Recent History in Tools menu
    * improved Windows installer, you can now choose which component to install

Version 0.9.7
    * fixed Flash issues on Windows
    * added SSL Exceptions Manager
    * added animated notifications for "save password" dialog

Version 0.9.6
    * fixed some issues with user background
    * added option to change font color (for dark backgrounds)
    * improved bookmarks / history / RSS Reader
    * new Windows installer
    * initial support for Plugins

Version 0.9.5
    * support for user specific background image for browser
    * new icons in navigation bar
    * brand new browser icon
    * new About dialog

Version 0.9.4
    * completely new design preferences + few changes in browser design
    * network disk cache added to speed up browsing
    * new options in preference with option to change maximum disk quota for cache
    * complete integration into Linux desktop
    * fixes in Debian packages

Version 0.9.3
    * another stability improves
    * added autosaver in case of browser crash
    * improved saving and restoring sessions with multiple windows
    * first Debian package for Linux

Version 0.9.2
    * lot of bugs fixed, including crash fixes
    * improved stability and speed of browser
    * added source viewer (without highlighting for now)
    * added simple download manager

Version 0.9.1
    * added bookmarks and history manager
    * added RSS Reader + indicator to location bar whether the page offers feeds
    * new design for Windows Vista/7

Version 0.9.0
    * first version written in C++, built with mingw32
    * almost all features from Python version implemented
    * finally fixed all problems relating to tabs
    * HTML5 supported from this version, including offline storage
    * added cookies manager
    * added simple Windows installer

Version 0.x.x
    * written in Python
